# encoding: utf-8
module HomeworkCommonHelper
  #迟交扣分下拉框
  def late_penalty_option
    type = []
    for i in (0..5)
      option = []
      option << i
      option << i
      type << option
    end
    type
  end

  #教辅评分比例下拉框
  def ta_proportion_option
    type = []
    i = 10
    while  i <= 100
      option = []
      option << i.to_s + "%"
      option << i.to_f / 100
      type << option
      i += 10
    end
    type
  end

  #缺评扣分
  def absence_penalty_option
    type = []
    i = 0
    while  i <= 5
      option = []
      option << i
      option << i
      type << option
      i += 1
    end
    type
  end

  #根据传入作业确定跳转到开启匿评还是关闭匿评功能
  def alert_anonyoms_path homework,homework_detail_manual
    link = ""
    if homework_detail_manual.comment_status == 1
      link = start_anonymous_comment_homework_common_url homework.id
    elsif homework_detail_manual.comment_status == 2
      link = stop_anonymous_comment_homework_common_url homework.id
    end
    link
  end
end